Bug 1409965 - [abrt] gnome-shell: g_type_check_instance_is_fundamentally_a(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: g_type_check_instance_is_fundamentally_a(): gnome-shell k...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f3aebbb4671f4c683032d4157cd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 03:30 UTC by Daniel
Modified: 2017-12-12 10:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:16:49 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (44.17 KB, text/plain)
2017-01-04 03:30 UTC, Daniel
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-04 03:30 UTC, Daniel
no flags Details
File: core_backtrace (4.16 KB, text/plain)
2017-01-04 03:30 UTC, Daniel
no flags Details
File: dso_list (25.63 KB, text/plain)
2017-01-04 03:30 UTC, Daniel
no flags Details
File: environ (1.08 KB, text/plain)
2017-01-04 03:30 UTC, Daniel
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-04 03:30 UTC, Daniel
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-04 03:30 UTC, Daniel
no flags Details
File: maps (178.47 KB, text/plain)
2017-01-04 03:30 UTC, Daniel
no flags Details
File: mountinfo (3.90 KB, text/plain)
2017-01-04 03:30 UTC, Daniel
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-04 03:30 UTC, Daniel
no flags Details
File: open_fds (7.68 KB, text/plain)
2017-01-04 03:30 UTC, Daniel
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-04 03:30 UTC, Daniel
no flags Details
File: var_log_messages (601 bytes, text/plain)
2017-01-04 03:30 UTC, Daniel
no flags Details

Description Daniel 2017-01-04 03:30:13 UTC
Version-Release number of selected component:
gnome-shell-3.22.2-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/gnome-shell
global_pid:     1763
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4025
 #1 g_object_ref at gobject.c:3051
 #2 g_hash_table_foreach at ghash.c:1608
 #3 spi_cache_foreach at accessible-cache.c:417
 #4 impl_GetItems at cache-adaptor.c:325
 #5 handle_other at droute.c:553
 #6 handle_message at droute.c:600
 #7 _dbus_object_tree_dispatch_and_unlock at ../../dbus/dbus-object-tree.c:1020
 #9 message_queue_dispatch at atspi-gmain.c:89
 #14 meta_run at core/main.c:572

Potential duplicate: bug 1297915

Comment 1 Daniel 2017-01-04 03:30:17 UTC
Created attachment 1237056 [details]
File: backtrace

Comment 2 Daniel 2017-01-04 03:30:19 UTC
Created attachment 1237057 [details]
File: cgroup

Comment 3 Daniel 2017-01-04 03:30:21 UTC
Created attachment 1237058 [details]
File: core_backtrace

Comment 4 Daniel 2017-01-04 03:30:23 UTC
Created attachment 1237059 [details]
File: dso_list

Comment 5 Daniel 2017-01-04 03:30:25 UTC
Created attachment 1237060 [details]
File: environ

Comment 6 Daniel 2017-01-04 03:30:26 UTC
Created attachment 1237061 [details]
File: exploitable

Comment 7 Daniel 2017-01-04 03:30:27 UTC
Created attachment 1237062 [details]
File: limits

Comment 8 Daniel 2017-01-04 03:30:30 UTC
Created attachment 1237063 [details]
File: maps

Comment 9 Daniel 2017-01-04 03:30:31 UTC
Created attachment 1237064 [details]
File: mountinfo

Comment 10 Daniel 2017-01-04 03:30:33 UTC
Created attachment 1237065 [details]
File: namespaces

Comment 11 Daniel 2017-01-04 03:30:35 UTC
Created attachment 1237066 [details]
File: open_fds

Comment 12 Daniel 2017-01-04 03:30:36 UTC
Created attachment 1237067 [details]
File: proc_pid_status

Comment 13 Daniel 2017-01-04 03:30:38 UTC
Created attachment 1237068 [details]
File: var_log_messages

Comment 14 Ellie 2017-01-25 10:26:22 UTC
Similar problem has been detected:

The laptop woke up from suspend and I attempted to unlock the session (with mouse click or keypress,  i forgot which)

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/gnome-shell
global_pid:     2239
kernel:         4.9.3-200.fc25.x86_64
package:        gnome-shell-3.22.2-2.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Jaša Bartelj 2017-05-28 05:30:50 UTC
Similar problem has been detected:

Had 3 app windows open - 2 Firefox windows, one of them playing a YT video and LO Calc. I inadvertently touched the third window (Firefox) which hid Calc.

I repeatedly tried touching the Activities button in the upper left of the screen to get to the windows overview, since it would not appear. The CPU fan started whirring, the desktop disappeared and I saw a vty screen filled to about 20% with ^@ symbols. Then the display manager appeared.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/gnome-shell
global_pid:     14491
kernel:         4.10.13-200.fc25.x86_64
package:        gnome-shell-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Fedora End Of Life 2017-11-16 14:34:46 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2017-12-12 10:16:49 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.